in scala.dbc.statement
class Transaction

case `class` Transaction [ ResultType ]
  `extends` scala.dbc.statement.Statement
  `with` scala.ScalaObject
  `with` scala.CaseClass

  A statement that changes the status of the database.

Constructor Summary
| `def` this ( transactionBody : (scala.dbc.Database) => ResultType , accessMode : scala.Option[scala.dbc.statement.AccessMode] , isolationLevel : scala.Option[scala.dbc.statement.IsolationLevel] )

Def Summary
`final` `override` | `def` $tag : scala.Int
`final` `override` | `def` caseArity : scala.Int
`final` `override` | `def` caseElement ( x$1 : scala.Int ) : scala.Any
`final` `override` | `def` caseName : java.lang.String
`override` | `def` equals ( x$1 : scala.Any ) : scala.Boolean
| `def` execute ( database : scala.dbc.Database ) : scala.dbc.result.Status[ResultType]
| `def` execute ( database : scala.dbc.Database , debug : scala.Boolean ) : scala.dbc.result.Status[ResultType]
`override` | `def` hashCode : scala.Int
| `def` sqlAbortString : java.lang.String
| `def` sqlCommitString : java.lang.String
| `def` sqlStartString : java.lang.String A SQL-99 compliant string representation of the statement.
`override` | `def` toString : java.lang.String

Constructor Detail

`def` this ( transactionBody : (scala.dbc.Database) => ResultType , accessMode : scala.Option[scala.dbc.statement.AccessMode] , isolationLevel : scala.Option[scala.dbc.statement.IsolationLevel] )

Def Detail

final override `def` $tag : scala.Int

final override `def` caseArity : scala.Int

final override `def` caseElement ( x$1 : scala.Int ) : scala.Any

final override `def` caseName : java.lang.String

override `def` equals ( x$1 : scala.Any ) : scala.Boolean

`def` execute ( database : scala.dbc.Database ) : scala.dbc.result.Status[ResultType]

`def` execute ( database : scala.dbc.Database , debug : scala.Boolean ) : scala.dbc.result.Status[ResultType]

override `def` hashCode : scala.Int

`def` sqlAbortString : java.lang.String

`def` sqlCommitString : java.lang.String

`def` sqlStartString : java.lang.String

  A SQL-99 compliant string representation of the statement.

override `def` toString : java.lang.String